Allow custom my_page blocks to define drop-down names

2009-03-26 23:07 - Brad Beattie

Status: Closed Start date: 2009-03-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

I have a plugin that adds additional blocks to the my_page page. The only problem I have here is that I can't name the blocks beyond

their file names, whereas core blocks define their localized names:

BLOCKS = { 'issuesassignedtome' => :label_assigned_to_me_issues,

             'issuesreportedbyme' => :label_reported_issues,

             'issueswatched' => :label_watched_issues,

             'news' => :label_news_latest,

             'calendar' => :label_calendar,

             'documents' => :label_document_plural,

             'timelog' => :label_spent_time

           }.merge(Redmine::Views::MyPage::Block.additional_blocks).freeze

 This request is necessary in order to localize the plugin.

Associated revisions

Revision 2659 - 2009-04-05 15:33 - Jean-Philippe Lang

Set a default scope for 'My page' block names translations (#3057).

History

#1 - 2009-03-30 22:21 - Jean-Philippe Lang

Actually, you can add a key in your locales that matches the partial name, eg:

_my_partial.rhtml => uses 'my_partial' translation key if available

 Maybe we could use a prefix for these translations in locales, eg: 'my.blocks.my_partial' or something.

What do you think?

#2 - 2009-03-30 22:33 - Brad Beattie

Jean-Philippe Lang wrote:

Actually, you can add a key in your locales that matches the partial name, eg:

_my_partial.rhtml => uses 'my_partial' translation key if available

Maybe we could use a prefix for these translations in locales, eg: 'my.blocks.my_partial' or something.

What do you think?

 Hrm. A prefix would be nice as it would help avoid any unintended overlap. Not necessary, but nice.

#3 - 2009-04-05 15:30 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.0

- Resolution set to Fixed

Committed in r2659.

Default scope is 'my.blocks', so you can have:
http://github.com/bradbeattie/redmine-my-widgets-plugin/tree/master
https://www.redmine.org/projects/redmine/repository/svn/revisions/2659


my:

  blocks:

    block_name: Localized block name

 or (if not found):

block_name: Localized block name

#4 - 2009-11-15 14:23 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#5 - 2011-10-25 13:00 - Jedidiah Lira

- Assignee deleted (Eric Davis)
